@charset "UTF-8";
html {
  scroll-behavior: smooth;
}

body {
  margin: 0;
  padding: 0;
  font-family: "PT Sans", sans-serif;
}

.container {
  display: flex;
}

.nav {
  width: 330px;
  flex-shrink: 0;
}

.content {
  flex-grow: 1;
}

.nav-bg {
  width: 330px;
  height: 100vh;
  position: fixed;
  top: 0;
  left: 0;
  background-color: #575656;
  z-index: -1;
}

@media (max-width: 750px) {
  .container {
    display: block;
  }

  .nav {
    width: 100%;
  }

  .nav-bg {
    display: none;
  }
}
/*alert covid*/
#alertCovid {
  display: none;
  position: relative;
}

#close-alert {
  position: absolute;
  top: 2px;
  right: 2px;
  cursor: pointer;
}

.alert-flex {
  display: flex;
  justify-content: space-evenly;
  flex-flow: row wrap;
  margin: 0;
  padding: 0;
  background-color: #c7eaf1;
  color: #0b6575;
}
.alert-flex .mesure {
  flex-shrink: 0;
  display: flex;
  align-items: center;
  margin: 5px 10px;
}
.alert-flex .mesure img {
  flex-shrink: 0;
  margin-right: 8px;
}
.alert-flex .mesure p {
  text-transform: uppercase;
  margin: 0;
  padding: 0;
  font-size: 14px;
}

@media (max-width: 650px) {
  .alert-flex {
    padding: 12px 8px 8px 8px;
  }
}
/*header*/
.header {
  display: flex;
  flex-wrap: wrap;
  padding: 8px;
  background-color: black;
  color: white;
}
.header .logo {
  color: white;
  text-decoration: none;
  display: flex;
  margin-right: 8px;
  justify-content: center;
  align-items: center;
  width: 70px;
  height: 70px;
  border-radius: 50%;
  border: 5px solid white;
  font-size: 50px;
  font-weight: 700;
  cursor: pointer;
}

@media (max-width: 380px) {
  .header {
    justify-content: center;
  }
}
/*navigation*/
.nav {
  overflow: hidden;
}

.navigation {
  margin: 0;
  padding: 0;
}
.navigation #fav {
  background-color: #575656;
}
.navigation #fav:hover {
  background-color: #7e7d7d;
}
.navigation .toggleSubMenu {
  background-color: #575656;
}
.navigation .toggleSubMenu .arrow {
  transform: rotate(-90deg);
}
.navigation .toggleSubMenu.open .arrow {
  transform: rotate(0deg);
}
.navigation li {
  background-color: #444343;
  cursor: pointer;
  margin: 0;
  padding: 0;
  list-style: none;
  font-weight: 700;
  font-size: 22px;
  border-bottom: 1px solid #7e7d7d;
}
.navigation li a {
  display: flex;
  justify-content: space-between;
  padding: 8px;
  color: white;
  display: block;
  width: 100%;
  text-decoration: none;
}
.navigation li a:hover {
  background-color: #7e7d7d;
}
.navigation li ul {
  margin: 0;
  padding: 0;
}
.navigation li ul li {
  border-bottom: none;
  font-size: 18px;
}
.navigation li ul li a {
  padding-left: 30px;
}

/*Message d'accueil*/
#welcome {
  margin: 20px 10%;
  color: #53bbce;
}
#welcome h2 {
  font-size: 34px;
  margin: 0;
  padding: 0;
}
#welcome p {
  font-size: 24px;
  margin: 0;
  padding: 0;
}
#welcome .bus-blue {
  width: 40%;
  max-width: 200px;
}

/*styles de la liste des lignes à consulter*/
#listeLigne {
  margin: 20px 2%;
}

.ligneDiv {
  display: flex;
  flex-direction: column;
  margin: 10px 4px;
  border: 1px solid #dddddd;
  border-radius: 4px;
}

.ligneType {
  display: flex;
  font-size: 14px;
  background-color: #dddddd;
  color: #444343;
  padding: 4px;
}
.ligneType p {
  margin: 0;
}

.ligneName {
  flex-grow: 1;
  display: flex;
  align-items: center;
}

.ligneShortName {
  flex-shrink: 0;
  height: 22px;
  padding: 3px 6px;
  margin: 4px;
  border-radius: 3px;
  font-weight: 700;
}

.rond {
  width: 22px;
  padding: 3px;
  border-radius: 50%;
  text-align: center;
}

.ligneLongName {
  flex-shrink: 1;
  padding: 3px 6px;
}

.boutonsDiv {
  display: flex;
  justify-content: end;
  margin: 4px;
}
.boutonsDiv .boutonDetail, .boutonsDiv .addFavori, .boutonsDiv .deleteFavori {
  margin: 2px;
  padding: 4px 6px;
  background-color: #0b6575;
  color: white;
  text-align: center;
  font-weight: 700;
  border-radius: 4px;
  cursor: pointer;
}
.boutonsDiv .boutonDetail:hover, .boutonsDiv .addFavori:hover, .boutonsDiv .deleteFavori:hover {
  background-color: #53bbce;
}

#ligneDetails {
  display: none;
  margin: 20px 2%;
}

.detailsTitle {
  display: flex;
  align-items: center;
}

#iconeLigne {
  flex-shrink: 0;
  padding: 6px 8px;
  margin: 4px 10px 4px 4px;
  font-size: 24px;
  font-weight: 700;
  border-radius: 3px;
}

#iconeLigne.round {
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 0;
  height: 50px;
  width: 50px;
  border-radius: 50%;
}

.tableauHoraires {
  width: 100%;
  margin-top: 20px;
}
.tableauHoraires caption {
  text-align: left;
  font-size: 20px;
  font-weight: 700;
  color: #444343;
  padding: 6px 0;
}
.tableauHoraires tbody tr:nth-child(odd) {
  background-color: #dddddd;
}

@media (max-width: 380px) {
  .tableauHoraires {
    font-size: 14px;
  }
}
#noData, #noFav {
  background-color: #c7eaf1;
  border-radius: 4px;
  border: 1px solid rgba(4, 81, 94, 0.288);
  padding: 8px;
  color: #0b6575;
}

#myMap {
  height: 340px;
  width: 100%;
}

.sweetalert {
  border: 1px solid rgba(4, 81, 94, 0.288);
  padding: 0;
  max-width: 300px;
}

.swal-title,
.swal-text {
  color: #53bbce;
  font-weight: 700;
}

.swal-overlay {
  background-color: rgba(4, 81, 94, 0.336);
}

/*# sourceMappingURL=style.css.map */
